Bug 52386 - RFE: Unneeded questions when Network driver is not on the bootdisk.
RFE: Unneeded questions when Network driver is not on the bootdisk.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-23 08:16 EDT by Niels Basjes
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-07 17:31:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Niels Basjes 2001-08-23 08:16:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.14-5.0 i686)

Description of problem:
When installing using kickstart for NFS installation AND the driver for the
network adapter is not on the bootdisk but on the driver disk then the
installation procedure will ask questions for which the answer is present
in the kickstart file.
These are the language, keyboard, installation type and for NFS also the
server name and directory. When the netwrok driver is on the bootdisk then
these questions are not asked.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Computer with network adapter for which the driver is NOT on the
bootdisk.
2. Boot with "append ks=floppy initrd=initrd.img network driverdisk" in the
syslinux.cfg and a ks.cfg which specifies a NFS installation.
3. The settings for language, keyboard , installation type and for NFS also
the server name and directory are asked even though this information is
present in the ks.cfg file.
	

Actual Results:  Unneeded questions.

Expected Results:  Skip the questions for which the answer is known.

Additional info:

For now I've hacked into the sources for lang.c and loader.c to hardcoded
the answers and removed the calls to the mentioned question dialogs. For
now it works but it isn't the preferred way.
Comment 1 Matt Wilson 2001-08-23 12:01:05 EDT
This will require a bit of new code, it won't be in the next release.  We'll
keep it on the TODO list, though.
Comment 2 Jeremy Katz 2003-03-07 17:31:57 EST
This shouldn't be a problem anymore with our current code.

Note You need to log in before you can comment on or make changes to this bug.